Bug 56383 - [SNB IVB HSW] de-noise test fail
[SNB IVB HSW] de-noise test fail
Status: VERIFIED FIXED
Product: libva
Classification: Unclassified
Component: intel
unspecified
Other All
: medium normal
Assigned To: Jocelyn Li
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2012-10-25 07:34 UTC by Du Yan
Modified: 2013-06-17 01:35 UTC (History)
4 users (show)

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Du Yan 2012-10-25 07:34:17 UTC
Environment:
--------------
libva:
commit c59c512df262cdc44fb6e9101621f246eda176df
Author: Jonathan Bian <jonathan.bian@intel.com>
Date:   Sun Oct 21 21:49:51 2012 -0700

inter driver:
commit f033e72cc4a4e3ae2e84fa80be7b311f75f2c542
Author: Xiang, Haihao <haihao.xiang@intel.com>
Date:   Mon Oct 15 11:10:18 2012 -0400

gst-vaapi:
commit 8369e5ca7589cb93b6fed4fb6b91e576ecd1e139
Author: Zhao,Halley <halley.zhao@intel.com>
Date:   Tue Oct 23 00:56:45 2012 +0800


Bug Info:
--------------
de-noise test failed

Reproduce steps:
----------------
1.      xinit &
2.      LD_PRELOAD=/home/AVC_conformance/i965_drv_video_hook.so gst-launch-0.10
filesrc location=/home/CITY_704x576_30_orig_01.yuv.enc.264 ! h264parse !
vaapidecode ! vaapisink sync=false
3.      Calculate YPSNR AVERAGE = 9.40366 
4.      LD_PRELOAD=/home/AVC_conformance/i965_drv_video_hook.so gst-launch-0.10
filesrc location=/home/CITY_704x576_30_orig_01.yuv.enc.264 ! h264parse !
vaapidecode ! vaapipostproc denoise=1 denoise-level=0.3 ! vaapisink sync=false
5.      YPSNR AVERAGE =  9.40366
Comment 1 Liu Tienan 2013-06-14 03:45:06 UTC
Fix result:
1080p_blue_sky.yuv
Bitrate = 1000 VPP: 10.69124 11.68921 12.65067
Bitrate = 1000 NO_VPP: 10.68970 10.68970 10.68970

Bitrate = 2000 VPP: 10.63554 11.65991 12.68245
Bitrate = 2000 NO_VPP: 10.62916 10.62916 10.62916

Bitrate = 3500 VPP: 10.58004 11.59152 12.56519
Bitrate = 3500 NO_VPP: 10.57186 10.57186 10.57186

Environment:
--------------
Libva:          (master)ffb82f3a85e424b869c2c1ce48251b3305e2cd61
Libva_intel_driver:             (master)01f7c2c6c5ae6321f3b3cfebc89f73dcb50b30af
K

The test case is a 1080p file.
Comment 2 Liu Tienan 2013-06-14 03:46:42 UTC
FIXED